Add Repositories to Seer for a Project

ExperimentalThis API is under active development and may change.
POST /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/seer/repos/

Add the specified repositories to Seer without removing other repositories. At least one repository is required. Re-submitting a repository replaces its branchName, instructions, and branchOverrides; omitted values are cleared.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

project_id_or_slug (string)
REQUIRED

The ID or slug of the project the resource belongs to. Project slugs are unique within each organization.

Body Parameters

repos (array(object))
REQUIRED

Repositories to link and configure for Seer in this project.

Scopes

<auth_token> requires one of the following scopes:
  • project:admin
  • project:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/seer/repos/ \
 -H 'Authorization: Bearer <auth_token>' \
 -H 'Content-Type: application/json' \
 -d '{}'
RESPONSE
Copied
No Content.
Was this helpful?